// Notification handling
const notificationBell = document.querySelector('.notification-bell');
const notificationCount = document.querySelector('.notification-count');

// Example notification count update
function updateNotificationCount(count) {
  notificationCount.textContent = count;
  notificationCount.style.display = count > 0 ? 'block' : 'none';
}

// Initial notification count
updateNotificationCount(2);

// Search form handling
const searchForm = document.querySelector('.search-form');
searchForm.addEventListener('submit', (e) => {
  e.preventDefault();
  const address = searchForm.querySelector('input').value;
  if (address.trim()) {
    // Implement search functionality
    alert(`Searching restaurants near: ${address}`);
  }
});

// Responsive navigation (could be expanded)
function handleNavResize() {
  const navLinks = document.querySelector('.nav-links');
  if (window.innerWidth < 600) {
    navLinks.classList.add('mobile-nav');
  } else {
    navLinks.classList.remove('mobile-nav');
  }
}

window.addEventListener('resize', handleNavResize);
handleNavResize();